// FONCTIONS d'archivage des vieux enregistrements de l'historique
//------------------------------------------------------------- 
void pagefinarch() { 
  page = "";
  page += F("<!DOCTYPE html><html lang=fr-FR><head>");
  page += F("<meta charset='UTF-8'>");
  page += F("<title>ERR.404</title>");
  page += F("<style type='text/css'> A{text-decoration:none;}");
  page += F("h1 {font-family: Helvetica; margin: 0px auto; text-align: center; font-size: 47pt;}");
  page += F("h2 {font-family: Helvetica; margin: 0px auto; text-align: center; font-size: 25pt;}");
  page += F("button1 {background-color: black; color: yellow; font-weight:bold; font-size: 40px;  border-radius:20px;");
  page += F(" padding:30px; border: 10px yellow solid; margin-left: 40px; margin-right: 40px;}");   
  page += F("</style></head>");
  page += F("<body><style>body {min-height: 90%;margin: 0;padding: 10px;font-family: Arial; Color: yellow;}</style>");
  page += F("<div align='center' style='width:950px;height:720px;border: yellow solid; background-color:black;'>");
  page += F("<ul><h1>");
  page += F("<li>Visites & appels AVH  ");
  page += F("<br /><br /><br />");
  page += F("<li>Archivage effectué</h1><h2>");
  page += F("<br /><br />");
  page += F("<li>Nombre d'évènements conservés : ");
  page += cptcons;
  page += F("<br />");
   page += F("<li>Nombre d'évènements archivés : ");
  page += cptenr;
  page += F("<br />");
  page += F("</h2></ul><br /><br /><br /><br />"); 
  page += F("<button1><a href='/'><font color='yellow'>Retour accueil</font></button1></a>");
  page += F("<form action='/' method='POST'>");
  page += F("</body>"); 
}

//----------------------------------------------------------------------------------- 
void archivage() {
  int datref = (tans[0] * 100) + tmois[0];
  #if TRACES
    Serial.print("archivage des évènements détant d'avant ");
    Serial.print(tmois[0]);
    Serial.print(" ");
    Serial.print(tans[0]);
    Serial.print(" => ");
    Serial.println(datref);
  #endif
  effselec();
  blocsaisie();                            // blocage de la saisie
  ouvhistolec();
  creselectecr();
  ouvarchivecr();
  cptenr = 0;
  cpthis = 0;
  cptcons = 0;
  String enreg = "";
  String datenr = "";
  int datenreg = 0;
  while (fichier6.available()) {
    enreg = fichier6.readStringUntil('\n'); 
    cpthis++; 
    if (cpthis > 1)  {                      // ne pas traiter enregistrement d'en-tête
      datenr = enreg.substring(0,6);                 // date AAAAMM
      datenreg = datenr.toInt();      
      if (datenreg < datref) {              // évènement de plus de 12 mois
        cptenr++;                            // +1 comptage nb enregistrements
        fichier4.println(enreg);               // copié sur archives
      } 
      else {
        fichier7.println(enreg);               // copié sur f.select
        cptcons++;
      }
    }   
  }
  closhisto();
  closelect(); 
  cloarchiv(); 
  #if TRACE
    Serial.print("Nb enreg lus : ");
    Serial.print(cpthis - 1);
    Serial.print("   Nb enreg conservés : ");
    Serial.print(cptcons);
    Serial.print("   Nb enreg archivés : ");
    Serial.println(cptenr);
  #endif  
  delay(500);
  renomhisto();
  delay(500);
  renomselect();
  delay(500);
  deblocsaisie();                         // déblocage de la saisie 
  #if TRACE
    Serial.println("Fin d'archivage");
  #endif 
  pagefinarch();                            
  server.send(200, "text/html", page);
}

//----------------------------------------------------------------------------------- 