// Fonctions sonores par activation du buzzer
//-----------------------------------------------------
void erreur_SD()  {                // sirène ambulance pour Erreur SD
  Serial.println("erreur sd");
  while(1) {
    digitalWrite(LEDERR,HIGH);     // led témoin erreur clignote
    ledcWriteTone(Buzz_channel,420);      
    delay(100);
    ledcWriteTone(Buzz_channel,516);      
    delay(100);
    ledcWriteTone(Buzz_channel,420);      
    delay(100);
    ledcWriteTone(Buzz_channel,0); 
    delay(500);
    digitalWrite(LEDERR,LOW);      // led témoin erreur eteinte
    delay(500);
  }           
}

//-----------------------------------------------------
void erreur_wifi()  {              // sirène pompiers pour Erreur Wifi
  Serial.println("erreur wifi");
  for (int x = 0; x < 5; x++) {
    digitalWrite(LEDERR,HIGH);     // led témoin erreur clignote
    ledcWriteTone(Buzz_channel,735);      
    delay(300);
    ledcWriteTone(Buzz_channel,488);      
    delay(300);
    ledcWriteTone(Buzz_channel,0);
    delay(700);
    digitalWrite(LEDERR,LOW);      // led témoin erreur eteinte
  }          
}

//-----------------------------------------------------
void beep_depart() {               // sonnerie de mise en route
  Serial.println("bip depart");
  ledcWriteTone(Buzz_channel,523); // do
  delay(60);
  ledcWriteTone(Buzz_channel,587); //  ré
  delay(60);
  ledcWriteTone(Buzz_channel,659); //  mi
  delay(60);
  ledcWriteTone(Buzz_channel,698); //  fa
  delay(60);
  ledcWriteTone(Buzz_channel,784); //  sol
  delay(60);
  ledcWriteTone(Buzz_channel,880); //  la
  delay(60);
  ledcWriteTone(Buzz_channel,988); //  si
  delay(60);
  ledcWriteTone(Buzz_channel,784); //  sol
  delay(350);
  ledcWriteTone(Buzz_channel,0);
}

//-----------------------------------------------------
void beep_visite() {                       // carillon de porte pour bouton "visite"
  Serial.println("bip visite");
  ledcWriteTone(Buzz_channel,987); // note si
  delay(120);
  ledcWriteTone(Buzz_channel,0);
  delay(50);
  ledcWriteTone(Buzz_channel,784); // note sol
  delay(500);
  ledcWriteTone(Buzz_channel,0);
}
//-----------------------------------------------------
void beep_appel() {                // sonnerie de téléphone pour bouton "appel telephonique"
  Serial.println("bip appel");
  for (int x = 0; x < 8; x++) {
    ledcWriteTone(Buzz_channel,880);   // note la
    delay(40);
    ledcWriteTone(Buzz_channel,0);
    delay(20);
    ledcWriteTone(Buzz_channel,0); 
  }
}
//-----------------------------------------------------